//
//  CLAppKit.h
//  CLAppKit
//
//  Created by Matheau Dakoske on Thu Mar 11 2004.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

//GLOBAL CONSTANTS
#define CLMinXEdge          1 << 0
#define CLMidXEdge          1 << 1
#define CLMaxXEdge          1 << 2
#define CLMinYEdge          1 << 3
#define CLMidYEdge          1 << 4
#define CLMaxYEdge          1 << 5

//CELLS
#import <CLAppKit/CLDisclosureButtonCell.h>
#import <CLAppKit/CLDotButtonCell.h>
#import <CLAppKit/CLImageAndTextFieldCell.h>
#import <CLAppKit/CLImageOnlyButtonCell.h>
#import <CLAppKit/CLImageOnlyPopUpButtonCell.h>
#import <CLAppKit/CLRelevenceBarCell.h>
#import <CLAppKit/CLTruncatingTextFieldCell.h>

//BUTTONS
#import <CLAppKit/CLColorSamplerButton.h>
#import <CLAppKit/CLDotButton.h>
#import <CLAppKit/CLImageOnlyButton.h>
#import <CLAppKit/CLImageOnlyPopUpButton.h>

//COLORWELLS
#import <CLAppKit/CLCleanColorWell.h>
#import <CLAppKit/CLTextDraggingColorWell.h>

//HYBRIDS
#import <CLAppKit/CLControlTextField.h>
#import <CLAppKit/CLPopUpTextField.h>

//OUTLINEVIEWS
#import <CLAppKit/CLTypeaheadOutlineView.h>

//POPUPBUTTONS
#import <CLAppKit/CLCircularPopUpButton.h>
#import <CLAppKit/CLDotPopUpButton.h>

//SCROLLVIEWS
#import <CLAppKit/CLScrollView.h>

//SLIDERS
#import <CLAppKit/CLSimpleColorSlider.h>
#import <CLAppKit/CLColorSlider.h>

//TABLEVIEWS
#import <CLAppKit/CLTableView.h>
#import <CLAppKit/CLTypeaheadTableView.h>

//OUTLINEVIEWS
#import <CLAppKit/CLTypeaheadOutlineView.h>

//TEXTFIELDS
#import <CLAppKit/CLHexColorTextField.h>
#import <CLAppKit/CLTextField.h>
#import <CLAppKit/CLTruncatingTextField.h>
#import <CLAppKit/CLUnitTextField.h>

//TEXTVIEWS
#import <CLAppKit/CLFieldEditor.h>

//VIEWS
#import <CLAppKit/CLFileDropView.h>
#import <CLAppKit/CLFlippableViews.h>
#import <CLAppKit/CLSimpleColorView.h>
#import <CLAppKit/CLCenteringClipView.h>
#import <CLAppKit/CLPlacardView.h>
#import <CLAppKit/CLShadedView.h>
#import <CLAppKit/CLShadedSplitView.h>

//OBJECTS
#import <CLAppKit/CLCMColor.h>

//CONTROLLERS
#import <CLAppKit/CLColorSyncController.h>
#import <CLAppKit/CLFontController.h>
#import <CLAppKit/CLScreenCaptureController.h>

//FORMATTERS
#import <CLAppKit/CLFractionNumberFormatter.h>
#import <CLAppKit/CLPicaNumberFormatter.h>

//WINDOWS
#import <CLAppKit/CLSelectionWindow.h>

//CLASSEXTENSIONS
#import <CLAppKit/NSBezierPath-CLAppKitExtensions.h>
#import <CLAppKit/NSBundle-CLAppKitExtensions.h>
#import <CLAppKit/NSColor-CLAppKitExtensions.h>
#import <CLAppKit/NSCursor-CLAppKitExtensions.h>
#import <CLAppKit/NSFont-CLAppKitExtensions.h>
#import <CLAppKit/NSOutlineView-CLAppKitExtensions.h>
#import <CLAppKit/NSToolbar-CLAppKitExtensions.h>
#import <CLAppKit/NSWindow-CLAppKitExtensions.h>

//UTITILTIES
#import <CLAppKit/CLCaptureScreenUtility.h>
#import <CLAppKit/CLFontInfo.h>
#import <CLAppKit/CLOnOSXUtility.h>
#import <CLAppKit/CLUnitConversion.h>
#import <CLAppKit/CLGraphicsUtilities.h>
