//
//  CLRelevenceBarCell.h
//  ADT4
//
//  Created by Matheau Dakoske on Thu Sep 25 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CLRelevenceBarCell : NSCell {
    float minValue;
    float maxValue;
//    float value;
    
    
    NSColor *barColor;
    float oddAlpha;
    float evenAlpha;
    
    BOOL isVertical;
}

- (NSColor *) barColor;
- (void) setBarColor:(NSColor *)aColor;

- (float) oddAlpha;
- (void) setOddAlpha:(float)alpha;

- (float) evenAlpha;
- (void) setEvenAlpha:(float)alpha;

/*
- (float) floatValue;
- (void) setFloatValue:(float)aValue;
*/

- (float) minValue;
- (void) setMinValue:(float)aValue;

- (float) maxValue;
- (void) setMaxValue:(float)aValue;

- (BOOL) isVertical;
- (void) setIsVertical:(BOOL)aBool;

@end
