//
//  CLShadedView.h
//  CLAppKit
//
//  Created by Matheau Dakoske on 10/15/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CLShadedView : NSView {
	NSColor			*_color;
	NSColor			*_hiColor;
	NSColor			*_altColor;
	NSColor			*_altHiColor;
	NSColor			*_borderColor;
	BOOL			_usesShading;
	BOOL			_drawsBorder;
}

//ACCESSORS
- (BOOL) usesShading;
- (void) setUsesShading:(BOOL)uses;

- (BOOL) drawsBorder;
- (void) setDrawsBorder:(BOOL)draws;

- (NSColor *) color;
- (void) setColor:(NSColor *)col;

- (NSColor *) hilightColor;
- (void) setHilightColor:(NSColor *)col;

- (NSColor *) altColor;
- (void) setAltColor:(NSColor *)col;

- (NSColor *) altHilightColor;
- (void) setAltHilightColor:(NSColor *)col;

- (NSColor *) borderColor;
- (void) setBorderColor:(NSColor *)col;

@end
