/* CLSimpleColorSlider */

//Added making updates with timer conditinal on 2003-10-03 - MD

#import <Cocoa/Cocoa.h>

@interface CLSimpleColorSliderColor : NSObject

@end

@interface CLSimpleColorSlider : NSSlider {
    NSColor	*minColor, *maxColor, *minThumbColor, *maxThumbColor;
    NSRect	colorBarRect;
    NSImage	*colorBarImage;
    NSRect	refreshRect;
    BOOL	isDirty;
    BOOL    updatesWithTimer; //Added 2003-10-03 - MD
	BOOL	_drawsThumbSwatch;
}

- (void) defineRects;

- (NSRect) colorBarRect;
- (NSRect) refreshRect;

- (void) createImage;
- (void) createImageAndDisplay;

- (void) drawGradientAtX:(float)x y:(float)y;

- (void) setMinColor:(NSColor *)aColor;
- (void) setMaxColor:(NSColor *)aColor;
- (void) setMinColor:(NSColor *)aMinColor maxColor:(NSColor *)aMaxColor;

- (NSColor *) minColor;
- (NSColor *) maxColor;

- (void) setThumbColor:(NSColor *)aColor;
- (void) setMinThumbColor:(NSColor *)aColor;
- (void) setMaxThumbColor:(NSColor *)aColor;
- (void) setMinThumbColor:(NSColor *)aMinColor maxThumbColor:(NSColor *)aMaxColor;

- (NSColor *) minThumbColor;
- (NSColor *) maxThumbColor;

//Added 2003-10-03 - MD
- (BOOL) updatesWithTimer;
- (void) setUpdatesWithTimer:(BOOL)aBool;

//Added 2005-09-22
- (BOOL) drawsThumbSwatch;
- (void) setDrawsThumbSwatch:(BOOL)draws;

@end