//
//  CLTypeaheadTableView.h
//  ADT4
//
//  Created by Matheau Dakoske on Tue Sep 30 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CLTableView.h"

@interface CLTypeaheadTableView : CLTableView {
    BOOL            usesTypeahead;
    NSString        *typeaheadString;
    NSTableColumn   *typeaheadTableColumn;
    NSTimeInterval  typeaheadInterval;
}

- (BOOL) usesTypeahead;
- (void) setUsesTypeahead:(BOOL)use;

- (NSString *) typeaheadString;
- (void) setTypeaheadString:(NSString *)taString;
- (void) appendTypeaheadString:(NSString *)taString;

- (NSTableColumn *)typeaheadTableColumn;
- (void) setTypeaheadTableColumn:(NSTableColumn *)taTableColumn;

- (NSTimeInterval) typeaheadInterval;
- (void) setTypeaheadInterval:(NSTimeInterval)taInterval;

- (void) selectTypeaheadRow;

@end
