//
//  CLFlippableViews.h
//  CLAppKit
//
//  Created by Matheau Dakoske on Mon Apr 05 2004.
//  Copyright (c) 2004 Code Line Communications. All rights reserved.
//

#import <AppKit/AppKit.h>


@interface CLFlippableView : NSView {
    BOOL flipped;
}

- (BOOL) isFlipped;
- (void) setFlipped:(BOOL)fl;

@end

@interface CLFlippableClipView : NSClipView {
    BOOL flipped;
}

- (BOOL) isFlipped;
- (void) setFlipped:(BOOL)fl;

@end

@interface CLFlippableScrollView : NSScrollView {
    BOOL flipped;
}

- (BOOL) isFlipped;
- (void) setFlipped:(BOOL)fl;

@end
