//
//  CLImageOnlyPopUpButton.h
//  CLAppKit
//
//  Created by Matheau Dakoske on 11/7/05.
//  Copyright 2005 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CLImageOnlyPopUpButton : NSPopUpButton {

}

//ACCESSORS
- (BOOL) drawsIndicator;
- (void) setDrawsIndicator:(BOOL)draws;

- (float) indicatorSize;
- (void) setIndicatorSize:(float)size;

- (NSSize) indicatorOffset;
- (void) setIndicatorOffset:(NSSize)offset;

- (NSImage *) alternateImage;
- (void) setAlternateImage:(NSImage *)altImg;

- (NSImage *) disabledImage;
- (void) setDisabledImage:(NSImage *)img;

@end
