//
//  CLImageOnlyPopUpButtonCell.h
//  CLAppKit
//
//  Created by Matheau Dakoske on 11/7/05.
//  Copyright 2005 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CLImageOnlyPopUpButtonCell : NSPopUpButtonCell {
	
	BOOL	_drawsIndicator;
	float	_indicatorSize;
	NSSize	_indicatorOffset;
	
	NSImage *_image;
	NSImage *_alternateImage;
	NSImage *_disabledImage;
	
	NSImage *_drawImage;
	NSImage *_altDrawImage;
	NSImage *_disDrawImage;
	
	NSSize	_lastSize;
}

- (BOOL) drawsIndicator;
- (void) setDrawsIndicator:(BOOL)draws;

- (float) indicatorSize;
- (void) setIndicatorSize:(float)size;

- (NSSize) indicatorOffset;
- (void) setIndicatorOffset:(NSSize)offset;

- (NSImage *) alternateImage;
- (void) setAlternateImage:(NSImage *)altImg;

- (NSImage *) disabledImage;
- (void) setDisabledImage:(NSImage *)disImg;

@end
