//
//  NSWindow-CLAppKitExtensions.h
//  ADT4
//
//  Created by Matheau Dakoske on Wed Nov 19 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSWindow (CLAppKitExtensions)

- (void) setContentSize:(NSSize)newSize lockTopLeft:(BOOL)lock keepInWindow:(BOOL)keep display:(BOOL)display animate:(BOOL)animate;
- (void) setContentSize:(NSSize)newSize lockEdgesMask:(int)edgesMask keepInWindow:(BOOL)keep display:(BOOL)display animate:(BOOL)animate;

@end
